package hamiltonianGraph;
import java.awt.*;

public class Edge {

    public Node getN1() {
        return n1;
    }

    public Node getN2() {
        return n2;
    }

    private Node n1;
    private Node n2;

    public Edge(Node n1, Node n2) {
        this.n1 = n1;
        this.n2 = n2;
    }

    public void draw(Graphics g, Color color) {
        Point p1 = n1.getLocation();
        Point p2 = n2.getLocation();
        g.setColor(color);
        g.drawLine(p1.x, p1.y, p2.x, p2.y);
    }

    public void draw(Graphics g) {
        Point p1 = n1.getLocation();
        Point p2 = n2.getLocation();
        g.setColor(Color.black);
        g.drawLine(p1.x, p1.y, p2.x, p2.y);
    }
}