package hamiltonianGraph;

import java.awt.*;
import java.util.List;
import java.util.Random;


//generovani nahodnych  cisel
public class Generator {

    private static final Random r = new Random();

    public Generator(){

    }
    //vrátí náhodné celé číslo ze zadaného rozsahu
    public int getRandomIntegerBetweenRange(int min, int max){
        return (int)(Math.random()*((max-min)+1))+min;
    }

    //zabrání překrývání uzlů při generování a náhodně je rozmístí po mapě
    public Point noCoverInGenerate(int WIDE, int HIGH, List<Node> nodes ) {

        int a, b, d, e;
        boolean generateAgain;
        do  {
            generateAgain = false;

            //ty čísla 40 zabrání vykreslení mimo okno
            d = r.nextInt(WIDE - 80 ) + 40;
            e = r.nextInt(HIGH - 80 ) + 40;

            for (Node node : nodes) {
                a = node.getLocation().x;
                b = node.getLocation().y;

                //aby se uzly neprekryvaly
                if (Math.abs(d - a) < 51 && Math.abs(e - b) < 51) {
                    generateAgain = true;
                    break;
                }
            }
        } while (generateAgain);

        return new Point(d,e);
    }

}
